echo off
:-- README.BAT - Batch for viewing & printing TBU.DOC & README.TBU
:-- tBU v3.20 - 27 Mar 92

:-- Check available environment space (10 bytes minimum)
tbu -e =
if errorlevel 255 goto CritErr
if not errorlevel 1 goto NoEnv

:-- Get the DOS version & check that environment can be set
tbu -R .R major
if (%.R%) == () goto NoEnv
tbu -I = $.R 2
set .R= .
if errorlevel 2 set .R=/

:-- Prompt for viewing or printing
:PrmptTop
cls
echo README - tBU Documentation and README Utility
echo%.R%
echo     1) View README.TBU             3) Print README.TBU
echo     2) View tBU Documentation      4) Print tBU Documentation
echo     Q) Quit
echo%.R%
tbu -c .O "Select : " Q1234
echo%.R%
if %.O% == Q goto Quit
if %.O% == 1 goto ViewDoc
if %.O% == 2 goto ViewDoc
if %.O% == 3 goto PrntDoc
if %.O% == 4 goto PrntDoc

:-- View a document by keyword or all
:ViewDoc
tbu -s .S "Enter keyword for scan, ? for list, or ENTER for all : "
if not (%.S%) == (?) goto ViewIt
if %.O% == 1 tbu -h "readmekeywords" readme.tbu
if %.O% == 2 tbu -h "keywords" readme.tbu
echo%.R%
goto ViewDoc
:ViewIt
cls
if %.O% == 1 tbu -h "%.S%" readme.tbu
if %.O% == 2 tbu -h "%.S%"
if errorlevel 1 echo%.R%
tbu -c = "Press any key to continue : "
goto PrmptTop

:-- Print a document
:PrntDoc
echo Make sure the printer is online and available
tbu -c .S "Press any key to continue (A=abort print) : "
if (%.S%) == (A) goto PrmptTop
echo%.R%
echo Working ...
:-- Print to a file to remove !keywords
if %.O% == 4 goto PDoc
tbu -h "" readme.tbu >_tbu_
goto PrintIt
:PDoc
tbu -h >_tbu_
:-- Then copy to the printer
:PrintIt
copy _tbu_ prn >nul
if exist _tbu_ del _tbu_
goto PrmptTop

:CritErr
echo Critical error, tBU cannot run.
echo Exiting this procedure.
goto Out

:NoEnv
echo Not enough environment space, or environment cannot be set.
echo Exiting this procedure.
goto Out

:Quit
echo Thanks for using tBU
echo%.R%
if exist _tbu_ del _tbu_
set .O=
set .R=
set .S=

:Out
